Bug 1300935 - [abrt] gnome-settings-daemon: real_assign_crtcs(): gnome-settings-daemon killed by SIGSEGV
[abrt] gnome-settings-daemon: real_assign_crtcs(): gnome-settings-daemon kill...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:3ea628c715ae5c66eade5fede45...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-22 02:03 EST by Christopher Tubbs
Modified: 2016-12-20 13:04 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:04:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (56.48 KB, text/plain)
2016-01-22 02:03 EST, Christopher Tubbs
no flags Details
File: cgroup (200 bytes, text/plain)
2016-01-22 02:03 EST, Christopher Tubbs
no flags Details
File: core_backtrace (3.59 KB, text/plain)
2016-01-22 02:03 EST, Christopher Tubbs
no flags Details
File: dso_list (17.25 KB, text/plain)
2016-01-22 02:03 EST, Christopher Tubbs
no flags Details
File: environ (1.93 KB, text/plain)
2016-01-22 02:03 EST, Christopher Tubbs
no flags Details
File: exploitable (82 bytes, text/plain)
2016-01-22 02:03 EST, Christopher Tubbs
no flags Details
File: limits (1.29 KB, text/plain)
2016-01-22 02:03 EST, Christopher Tubbs
no flags Details
File: maps (83.84 KB, text/plain)
2016-01-22 02:03 EST, Christopher Tubbs
no flags Details
File: mountinfo (3.78 KB, text/plain)
2016-01-22 02:03 EST, Christopher Tubbs
no flags Details
File: namespaces (85 bytes, text/plain)
2016-01-22 02:03 EST, Christopher Tubbs
no flags Details
File: open_fds (8.43 KB, text/plain)
2016-01-22 02:03 EST, Christopher Tubbs
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-01-22 02:03 EST, Christopher Tubbs
no flags Details
File: var_log_messages (28 bytes, text/plain)
2016-01-22 02:03 EST, Christopher Tubbs
no flags Details

  None (edit)
Description Christopher Tubbs 2016-01-22 02:03:25 EST
Description of problem:
I'm not exactly sure what caused the error, but it occurred shortly after removing an external monitor (unplugging the HDMI cable) and toggling my laptop's display button on the keyboard to switch from extended/mirror monitor mode back to single display mode.

Version-Release number of selected component:
gnome-settings-daemon-3.18.2-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: real_assign_crtcs
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     2162
kernel:         4.3.3-301.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 real_assign_crtcs at gnome-rr-config.c:941
 #1 crtc_assignment_new at gnome-rr-config.c:1068
 #2 gnome_rr_config_apply_helper at gnome-rr-config.c:628
 #3 gnome_rr_config_apply at gnome-rr-config.c:650
 #4 apply_configuration at gsd-xrandr-manager.c:347
 #5 handle_fn_f7 at gsd-xrandr-manager.c:1007
 #6 gsd_xrandr_manager_2_video_mode_switch at gsd-xrandr-manager.c:364
 #7 handle_method_call_xrandr_2 at gsd-xrandr-manager.c:1365
 #8 handle_method_call at gsd-xrandr-manager.c:1394
 #9 call_in_idle_cb at gdbusconnection.c:4832

Potential duplicate: bug 1173882
Comment 1 Christopher Tubbs 2016-01-22 02:03:31 EST
Created attachment 1117111 [details]
File: backtrace
Comment 2 Christopher Tubbs 2016-01-22 02:03:32 EST
Created attachment 1117112 [details]
File: cgroup
Comment 3 Christopher Tubbs 2016-01-22 02:03:33 EST
Created attachment 1117113 [details]
File: core_backtrace
Comment 4 Christopher Tubbs 2016-01-22 02:03:34 EST
Created attachment 1117114 [details]
File: dso_list
Comment 5 Christopher Tubbs 2016-01-22 02:03:35 EST
Created attachment 1117115 [details]
File: environ
Comment 6 Christopher Tubbs 2016-01-22 02:03:36 EST
Created attachment 1117116 [details]
File: exploitable
Comment 7 Christopher Tubbs 2016-01-22 02:03:37 EST
Created attachment 1117117 [details]
File: limits
Comment 8 Christopher Tubbs 2016-01-22 02:03:39 EST
Created attachment 1117118 [details]
File: maps
Comment 9 Christopher Tubbs 2016-01-22 02:03:41 EST
Created attachment 1117119 [details]
File: mountinfo
Comment 10 Christopher Tubbs 2016-01-22 02:03:41 EST
Created attachment 1117120 [details]
File: namespaces
Comment 11 Christopher Tubbs 2016-01-22 02:03:43 EST
Created attachment 1117121 [details]
File: open_fds
Comment 12 Christopher Tubbs 2016-01-22 02:03:44 EST
Created attachment 1117122 [details]
File: proc_pid_status
Comment 13 Christopher Tubbs 2016-01-22 02:03:45 EST
Created attachment 1117123 [details]
File: var_log_messages
Comment 14 fedbzville 2016-03-22 15:56:35 EDT
Similar problem has been detected:

I made a mistake and tried to connect to a secondary external monitor (from a laptop) before I had connected the external display. The result was this crash.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: real_assign_crtcs
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     1861
kernel:         4.4.5-300.fc23.i686
package:        gnome-settings-daemon-3.18.2-1.fc23
reason:         gnome-settings-daemon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1002
Comment 15 Daniel Pettersson 2016-06-16 05:13:45 EDT
Similar problem has been detected:

1. I use a HP probook with external display connected using displayport
2. Lock screen and wait until displays turn black.
3. Login to desktop again

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/libexec/gnome-settings-daemon
crash_function: real_assign_crtcs
executable:     /usr/libexec/gnome-settings-daemon
global_pid:     2265
kernel:         4.4.3-300.fc23.x86_64
package:        gnome-settings-daemon-3.18.2-1.fc23
reason:         gnome-settings-daemon killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 16 Fedora End Of Life 2016-11-24 10:06:22 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 17 Fedora End Of Life 2016-12-20 13:04:01 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.